# iscanaction

![Parralels](https://www.parallels.com/static/pl/fileadmin/res/img/navigation/pl-logo-dk.png)

## AppserverClient Command Line Interface

### iscanaction

checks whether an action command is available.

**Category: UI**

```
AppServerClientCLI iscanaction -type type [-id ras:3]  
```

### Arguments

* **`type (mandatory)`** Specify the action to check.
* **`id (optional)`** Specify the connection for which the action is to be checked. This depends on the type. See Notes for further information.

### Return codes:

Enable - UI element needs to be enabled\
Disable - UI element needs to be disabled\
Remove - UI element needs to be removed\
NotAvailable - Communication with the client backend failed, ensure that the client is running\
InvalidId - Invalid connection, object or session ID\
InvalidArgs - Some arguments are missing or invalid\
InvalidState - Command failed due to invalid state, refer to the command for further information\
Exception - System problem

### Examples:

AppServerClientCLI iscanaction -type import-settings\
AppServerClientCLI iscanaction -type change-password -id ras:61

### Notes:

The following are the types available. Note that some require the ID to be passed:\
import-settings\
export-settings\
change-password -id ras:61 (ras connections only)\
disconnectallras\
disconnectallrdp\
logoffallras\
logoffras -id ras:61 (ras connections only)\
logonras -id ras:61 (ras connections only)\
disconnectras -id ras:61 (ras connections only)\
connectrdp -id rdp:22 (rdp connections only)\
disconnectrdp -id rdp:22 (rdp connections only)\
addconnection\
addrasconnection\
addrdpconnection\
deleteconnection -id rdp:22 (ras & rdp connections)\
setsmartsizing -id rdp:22 (rdp connections only)\
createshortcutsfavorites -id ras:61 (ras connections only)\
connectionproperties\
options

### See also:

[showwnd](/landing/ras-windows-cli-guide/v20/commands/showwnd.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-windows-cli-guide/v20/commands/iscanaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
